Index: modules/resources/src/main/resources/bin/wstools.bat
===================================================================
--- modules/resources/src/main/resources/bin/wstools.bat	(revision 14478)
+++ modules/resources/src/main/resources/bin/wstools.bat	(working copy)
@@ -42,6 +42,9 @@
 set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/jaxrpc-api.jar
 set WSTOOLS_CLASSPATH=%WSTOOLS_CLASSPATH%;%JBOSS_HOME%/client/saaj-api.jar
 
+rem Force use of IPv4 stack
+set JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv4Stack=true
+
 rem Display our environment
 echo ========================================================================="
 echo . 
Index: modules/resources/src/main/resources/bin/wsrunclient.bat
===================================================================
--- modules/resources/src/main/resources/bin/wsrunclient.bat	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsrunclient.bat	(working copy)
@@ -64,6 +64,9 @@
 set WSRUNCLIENT_CLASSPATH=%WSRUNCLIENT_CLASSPATH%;%JBOSS_HOME%/client/xmlsec.jar
 set WSRUNCLIENT_CLASSPATH=%WSRUNCLIENT_CLASSPATH%;%JBOSS_HOME%/client/wsdl4j.jar
 
+rem Force use of IPv4 stack
+set JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv4Stack=true
+
 rem Execute the command
 "%JAVA%" %JAVA_OPTS% -Djava.endorsed.dirs="%JBOSS_ENDORSED_DIRS%" -classpath "%WSRUNCLIENT_CLASSPATH%" %ARGS%
 :EOF
Index: modules/resources/src/main/resources/bin/wstools.sh
===================================================================
--- modules/resources/src/main/resources/bin/wstools.sh	(revision 14478)
+++ modules/resources/src/main/resources/bin/wstools.sh	(working copy)
@@ -39,7 +39,8 @@
 #JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n $JAVA_OPTS"
 
 # Setup JBoss sepecific properties
-JAVA_OPTS="$JAVA_OPTS"
+# Force use of IPv4 stack
+JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true"
 
 # Setup the java endorsed dirs
 JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
Index: modules/resources/src/main/resources/bin/wsrunclient.sh
===================================================================
--- modules/resources/src/main/resources/bin/wsrunclient.sh	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsrunclient.sh	(working copy)
@@ -57,7 +57,8 @@
 #JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=n $JAVA_OPTS"
 
 # Setup JBoss sepecific properties
-JAVA_OPTS="$JAVA_OPTS"
+# Force use of IPv4 stack
+JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true"
 
 # Setup the java endorsed dirs
 JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
Index: modules/resources/src/main/resources/bin/wsprovide.bat
===================================================================
--- modules/resources/src/main/resources/bin/wsprovide.bat	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsprovide.bat	(working copy)
@@ -53,5 +53,8 @@
 set WSPROVIDE_CLASSPATH=%WSPROVIDE_CLASSPATH%;%JBOSS_HOME%/client/saaj-api.jar
 set WSPROVIDE_CLASSPATH=%WSPROVIDE_CLASSPATH%;%JBOSS_HOME%/client/wsdl4j.jar
 
+rem Force use of IPv4 stack
+set JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv4Stack=true
+
 rem Execute the command
 "%JAVA%" %JAVA_OPTS% -Djava.endorsed.dirs="%JBOSS_ENDORSED_DIRS%" -classpath "%WSPROVIDE_CLASSPATH%" org.jboss.wsf.spi.tools.cmd.WSProvide %*
Index: modules/resources/src/main/resources/bin/wsconsume.bat
===================================================================
--- modules/resources/src/main/resources/bin/wsconsume.bat	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsconsume.bat	(working copy)
@@ -53,5 +53,8 @@
 set WSCONSUME_CLASSPATH=%WSCONSUME_CLASSPATH%;%JBOSS_HOME%/client/jaxrpc-api.jar
 set WSCONSUME_CLASSPATH=%WSCONSUME_CLASSPATH%;%JBOSS_HOME%/client/saaj-api.jar
 
+rem Force use of IPv4 stack
+set JAVA_OPTS=%JAVA_OPTS% -Djava.net.preferIPv4Stack=true
+
 rem Execute the command
 "%JAVA%" %JAVA_OPTS% -Djava.endorsed.dirs="%JBOSS_ENDORSED_DIRS%" -classpath "%WSCONSUME_CLASSPATH%" org.jboss.wsf.spi.tools.cmd.WSConsume %*
Index: modules/resources/src/main/resources/bin/wsprovide.sh
===================================================================
--- modules/resources/src/main/resources/bin/wsprovide.sh	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsprovide.sh	(working copy)
@@ -39,7 +39,8 @@
 #JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=y $JAVA_OPTS"
 
 # Setup JBoss sepecific properties
-JAVA_OPTS="$JAVA_OPTS"
+# Force use of IPv4 stack
+JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true"
 
 # Setup the java endorsed dirs
 JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"
Index: modules/resources/src/main/resources/bin/wsconsume.sh
===================================================================
--- modules/resources/src/main/resources/bin/wsconsume.sh	(revision 14478)
+++ modules/resources/src/main/resources/bin/wsconsume.sh	(working copy)
@@ -39,7 +39,8 @@
 #JAVA_OPTS="-classic -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=8787,server=y,suspend=y $JAVA_OPTS"
 
 # Setup JBoss sepecific properties
-JAVA_OPTS="$JAVA_OPTS"
+# Force use of IPv4 stack
+JAVA_OPTS="$JAVA_OPTS -Djava.net.preferIPv4Stack=true"
 
 # Setup the java endorsed dirs
 JBOSS_ENDORSED_DIRS="$JBOSS_HOME/lib/endorsed"