Index: jbosstools/examples/project-examples-bpel-3.1.xml
===================================================================
--- jbosstools/examples/project-examples-bpel-3.1.xml	(revision 31870)
+++ jbosstools/examples/project-examples-bpel-3.1.xml	(working copy)
@@ -1,5 +1,5 @@
 <projects>
-<project>
+        <project>
 		<category>BPEL</category>
 		<name>HelloWorld</name>
 		<shortDescription>A simple BPEL example</shortDescription>
@@ -36,8 +36,8 @@
 		<category>BPEL</category>
 		<name>Loan_Approval</name>
 		<shortDescription>A Loan Approval BPEL example</shortDescription>
-		<description>This sample is a loan approval example that uses the amount field inside the loan request to determine which action should be performed. If you want to run this example, you must import the Loan_Approval_WS example at first</description>
-		<size>6000</size>
+		<description>This sample will contain two projects. One is a loan approval example that uses the amount field inside the loan request to determine which action should be performed. The other is web service project that is called by the loan approval example.</description>
+		<size>214000</size>
 		<url>
 			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/Loan_Approval.zip
 		</url>
@@ -45,17 +45,6 @@
 
 	<project>
 		<category>BPEL</category>
-		<name>Loan_Approval_WS</name>
-		<shortDescription>A Web Services Project called by Loan_Approval</shortDescription>
-		<description>This sample is a web service project that includes Web Services that are called by Loan_Approval BPEL example</description>
-		<size>20000</size>
-		<url>
-			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/Loan_Approval_WS.zip
-		</url>
-	</project>
-
-	<project>
-		<category>BPEL</category>
 		<name>Math</name>
 		<shortDescription>A Math BPEL example</shortDescription>
 		<description>This sample is emulating a calculator which can add (+), subtract (-), multiply (*), divide (/) and calculate power (^). Input for this process is a operator and two decimal numbers, result is a decimal number.</description>
@@ -113,8 +102,8 @@
 		<category>BPEL</category>
 		<name>Simple_Invoke</name>
 		<shortDescription>A Simple Invoke BPEL example</shortDescription>
-		<description>This sample is a simple echo example, used to respond to a sent message with a modified version of the request message being returned in a response. The difference with this example, compared to the Hello World sample, is that the invoked service calls another JAX-WS based service to construct the response message. The BPEL process in this example, is primarily acting as a relay between the client and the invoked JAX-WS service, although the BPEL process also appends some text to the response message as well. If you want to run this example correctly, please import the Simple_Invoke_WS sample firstly</description>
-		<size>7000</size>
+		<description>This sample will contain two projects. One is a simple echo example, used to respond to a sent message with a modified version of the request message being returned  response. The difference with this example, compared to the Hello World sample, is that the invoked service calls another JAX-WS based service to construct the response message. The BPEL process in this example, is primarily acting as a relay between the client and the invoked JAX-WS service, although the BPEL process also appends some text to the response message as well. The other is a web service project that is called by the simple echo example.</description>
+		<size>129000</size>
 		<url>
 			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/Simple_Invoke.zip
 		</url>
@@ -122,17 +111,6 @@
 
 	<project>
 		<category>BPEL</category>
-		<name>Simple_Invoke_WS</name>
-		<shortDescription>A Web Service project called by Simple Invoke BPEL example</shortDescription>
-		<description>This sample is a Web Service that is called by Simple_Invoke example.</description>
-		<size>10000</size>
-		<url>
-			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/Simple_Invoke_WS.zip
-		</url>
-	</project>
-
-	<project>
-		<category>BPEL</category>
 		<name>Simple_Pick</name>
 		<shortDescription>A Simple Pick BPEL example</shortDescription>
 		<description>This sample demonstrates the BPEL 'pick' concept, where one of two possible messages can be used to trigger the process. The two possible messages are hello and goodbye.</description>
@@ -212,22 +190,11 @@
 		<category>BPEL</category>
 		<name>While_Wait</name>
 		<shortDescription>A While Wait BPEL example</shortDescription>
-		<description>This is a simple example used to compute the first N elements of the fibonacci sequence.</description>
-		<size>8000</size>
+		<description>This sample will contain two projects. One is a simple example used to compute the first N elements of the fibonacci sequence. The other is a web service project that is called by the simple example project.</description>
+		<size>159000</size>
 		<url>
 			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/While_Wait.zip
 		</url>
 	</project>
-
-	<project>
-		<category>BPEL</category>
-		<name>While_Wait_WS</name>
-		<shortDescription>A Web Service project called by While_Wait example</shortDescription>
-		<description>This sample is a Web Service that is called by While_Wait example.</description>
-		<size>14000</size>
-		<url>
-			http://anonsvn.jboss.org/repos/jbosstools/workspace/grid/bpel-examples/While_Wait_WS.zip
-		</url>
-	</project>
 </projects>
 