diff --git a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
index 9c368ae..f54a4c0 100644
--- a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.mylyn.feature"
-      label="Mylyn (Certified)"
-      version="1.0.0.qualifier"
-      provider-name="JBoss by Red Hat">
-
-   <description>
-      Contains Mylyn features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+<feature id="com.jboss.jbds.mylyn.feature" label="Mylyn (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat" plugin="com.atlassian.connector.eclipse.branding.ui">
+
+	<description>
+      Contains Mylyn features and connectors (Certified). Includes integration for Bugzilla, JIRA, CVS, SVN, Git, Bamboo, Crucible, Fisheye, Wikitext. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="license.html">
+	<license url="license.html">
       Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -22,30 +18,83 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
-   <requires>
-		<!--<import feature="com.atlassian.connector.commons" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.bamboo" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.commons" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.crucible" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.cvs" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.jira" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.monitor" version="3.0.0" match="compatible"/>
-		<import feature="com.atlassian.connector.eclipse.subclipse" version="3.0.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.jira_feature" version="3.4.0" match="compatible"/> -->
-
-		<import feature="org.eclipse.mylyn.bugzilla_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.commons" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.context_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.cvs" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.git" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.ide_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.java_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.pde_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible"/>
-   </requires>
+
+	<requires>
+		<import feature="org.eclipse.mylyn.bugzilla_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.commons" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.context_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.cvs" version="0.8.0" match="compatible" />
+		<import feature="org.eclipse.mylyn_feature" version="3.2.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.git" version="0.8.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.ide_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.java_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.pde_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible" />
+		<import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible" />
+
+		<!-- JBDS-1682 dependent 3rd party plugins needed to install Atlassian JIRA support -->
+		<import plugin="org.apache.axis" />
+		<import plugin="javax.xml.rpc" />
+		<import plugin="org.apache.commons.logging" />
+		<import plugin="org.apache.commons.io" />
+		<import plugin="org.apache.commons.httpclient" />
+		<import plugin="org.apache.commons.lang" />
+		<import plugin="org.apache.commons.codec" />
+		<import plugin="org.jdom_jaxen" />
+		<import plugin="org.eclipse.ui" />
+		<import plugin="org.eclipse.core.runtime" />
+		<import plugin="org.eclipse.core.resources" />
+		<import plugin="org.eclipse.ui.ide" />
+		<import plugin="com.atlassian.connector.commons" />
+		<import plugin="org.eclipse.ui.workbench.texteditor" />
+		<import plugin="org.eclipse.jface.text" />
+		<import plugin="org.eclipse.mylyn.tasks.ui" />
+		<import plugin="org.eclipse.mylyn.tasks.core" />
+		<import plugin="javax.servlet" version="2.5.0" match="compatible" />
+		<import plugin="org.mortbay.jetty.server" version="6.1.23" match="compatible" />
+		<import plugin="org.mortbay.jetty.util" version="6.1.23" match="compatible" />
+		<import plugin="org.eclipse.osgi" />
+		<import plugin="org.apache.jasper" />
+		<import plugin="javax.servlet.jsp" />
+		<import plugin="org.eclipse.core.filesystem" />
+		<import plugin="org.eclipse.ui.forms" />
+		<import plugin="org.eclipse.ui.editors" />
+		<import plugin="org.eclipse.team.core" />
+		<import plugin="org.eclipse.team.ui" />
+		<import plugin="org.eclipse.jface" />
+		<import plugin="org.eclipse.compare" />
+		<import plugin="org.joda.time" />
+	</requires>
+
+	<!-- JBDS-1682 Atlassian JIRA support :: Rather than nesting features, include plugins directly so we can override hard-coded version reqs on upstream deps -->
+	<plugin id="org.eclipse.mylyn.jira.ui" download-size="0" install-size="0" version="3.4.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.mylyn.jira.core" download-size="0" install-size="0" version="3.4.0" match="compatible" unpack="false" />
+
+	<plugin id="com.atlassian.connector.commons" version="4.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.bamboo.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.bamboo.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.branding.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.commons.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.commons.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.crucible.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.crucible.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.cvs.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.cvs.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.directclickthrough.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.fisheye.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.fisheye.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.help" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.jira.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.jira.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.monitor.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.monitor.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subclipse.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subclipse.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subversive.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subversive.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+
+	<plugin id="com.thoughtworks.xstream" version="1.3.0" download-size="0" install-size="0" match="compatible" unpack="false" />
 </feature>
diff --git a/extras/site/site.xml b/extras/site/site.xml
index d2451db..0750e3c 100644
--- a/extras/site/site.xml
+++ b/extras/site/site.xml
@@ -115,7 +115,7 @@
 	</feature>
 
 	<category-def name="Mylyn (Certified)" label="Mylyn (Certified)">
-		<description>Contains Mylyn features and connectors (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
+		<description>Contains Mylyn features and connectors (Certified). Includes integration for Bugzilla, JIRA, CVS, SVN, Git, Bamboo, Crucible, Fisheye, Wikitext. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
 	</category-def>
 
 	<!--