diff --git a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
index f54a4c0..2e40768 100644
--- a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
@@ -32,69 +32,72 @@ Raleigh NC 27606 USA.
 		<import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible" />
 		<import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible" />
 		<import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible" />
-
-		<!-- JBDS-1682 dependent 3rd party plugins needed to install Atlassian JIRA support -->
-		<import plugin="org.apache.axis" />
-		<import plugin="javax.xml.rpc" />
-		<import plugin="org.apache.commons.logging" />
-		<import plugin="org.apache.commons.io" />
-		<import plugin="org.apache.commons.httpclient" />
-		<import plugin="org.apache.commons.lang" />
-		<import plugin="org.apache.commons.codec" />
-		<import plugin="org.jdom_jaxen" />
-		<import plugin="org.eclipse.ui" />
-		<import plugin="org.eclipse.core.runtime" />
-		<import plugin="org.eclipse.core.resources" />
-		<import plugin="org.eclipse.ui.ide" />
-		<import plugin="com.atlassian.connector.commons" />
-		<import plugin="org.eclipse.ui.workbench.texteditor" />
-		<import plugin="org.eclipse.jface.text" />
-		<import plugin="org.eclipse.mylyn.tasks.ui" />
-		<import plugin="org.eclipse.mylyn.tasks.core" />
-		<import plugin="javax.servlet" version="2.5.0" match="compatible" />
-		<import plugin="org.mortbay.jetty.server" version="6.1.23" match="compatible" />
-		<import plugin="org.mortbay.jetty.util" version="6.1.23" match="compatible" />
-		<import plugin="org.eclipse.osgi" />
-		<import plugin="org.apache.jasper" />
-		<import plugin="javax.servlet.jsp" />
-		<import plugin="org.eclipse.core.filesystem" />
-		<import plugin="org.eclipse.ui.forms" />
-		<import plugin="org.eclipse.ui.editors" />
-		<import plugin="org.eclipse.team.core" />
-		<import plugin="org.eclipse.team.ui" />
-		<import plugin="org.eclipse.jface" />
-		<import plugin="org.eclipse.compare" />
-		<import plugin="org.joda.time" />
 	</requires>
 
 	<!-- JBDS-1682 Atlassian JIRA support :: Rather than nesting features, include plugins directly so we can override hard-coded version reqs on upstream deps -->
-	<plugin id="org.eclipse.mylyn.jira.ui" download-size="0" install-size="0" version="3.4.0" match="compatible" unpack="false" />
-	<plugin id="org.eclipse.mylyn.jira.core" download-size="0" install-size="0" version="3.4.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.mylyn.jira.ui" version="3.4.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.mylyn.jira.core" version="3.4.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.ui" version="3.6.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.mylyn.tasks.core" version="3.6.0" match="compatible" unpack="false" />
+
+	<plugin id="com.atlassian.connector.commons" version="4.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.bamboo.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.bamboo.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.branding.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.commons.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.commons.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.crucible.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.crucible.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.cvs.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.cvs.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.directclickthrough.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.fisheye.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.fisheye.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.help" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.jira.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.jira.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.monitor.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.monitor.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subclipse.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subclipse.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subversive.core" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.subversive.ui" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="com.atlassian.connector.eclipse.ui" version="3.0.0" match="compatible" unpack="false" />
+
+	<!-- JBDS-1682 dependent 3rd party plugins needed to install Atlassian JIRA support -->
+	<plugin id="com.thoughtworks.xstream" version="1.3.0" match="compatible" unpack="false" />
+
+	<plugin id="org.eclipse.ui" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.core.runtime" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.core.resources" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.ui.ide" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.ui.workbench.texteditor" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.jface.text" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.osgi" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.core.filesystem" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.ui.forms" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.ui.editors" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.team.core" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.team.ui" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.jface" version="0.0.0" match="compatible" unpack="false" />
+	<plugin id="org.eclipse.compare" version="0.0.0" match="compatible" unpack="false" />
+
+	<plugin id="org.apache.axis" version="1.4.0" match="compatible" unpack="false" />
+	<plugin id="org.apache.commons.logging" version="1.1.1" match="compatible" unpack="false" />
+	<plugin id="org.apache.commons.io" version="2.0.1" match="compatible" unpack="false" />
+	<plugin id="org.apache.commons.httpclient" version="3.1.0" match="compatible" unpack="false" />
+	<plugin id="org.apache.commons.lang" version="2.4.0" match="compatible" unpack="false" />
+	<plugin id="org.apache.commons.codec" version="1.3.0" match="compatible" unpack="false" />
+
+	<plugin id="org.jdom_jaxen" version="1.0.0" match="compatible" unpack="false" />
+	<plugin id="org.mortbay.jetty.server" version="6.1.23" match="compatible" unpack="false" />
+	<plugin id="org.mortbay.jetty.util" version="6.1.23" match="compatible" unpack="false" />
+	<plugin id="org.apache.jasper" version="5.5.17" match="compatible" unpack="false" />
+	<plugin id="org.joda.time" version="1.6.0" match="compatible" unpack="false" />
 
-	<plugin id="com.atlassian.connector.commons" version="4.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.bamboo.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.bamboo.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.branding.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.commons.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.commons.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.crucible.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.crucible.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.cvs.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.cvs.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.directclickthrough.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.fisheye.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.fisheye.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.help" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.jira.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.jira.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.monitor.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.monitor.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.subclipse.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.subclipse.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.subversive.core" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.subversive.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
-	<plugin id="com.atlassian.connector.eclipse.ui" version="3.0.0" download-size="0" install-size="0" match="compatible" unpack="false" />
+	<plugin id="javax.servlet" version="3.0.0" match="compatible" unpack="false" />
+	<plugin id="javax.servlet.jsp" version="2.2.0" match="compatible" unpack="false" />
+	<plugin id="javax.xml.rpc" version="1.1.0" match="compatible" unpack="false" />
 
-	<plugin id="com.thoughtworks.xstream" version="1.3.0" download-size="0" install-size="0" match="compatible" unpack="false" />
 </feature>
diff --git a/extras/site/site.xml b/extras/site/site.xml
index 0750e3c..cb06c72 100644
--- a/extras/site/site.xml
+++ b/extras/site/site.xml
@@ -118,38 +118,6 @@
 		<description>Contains Mylyn features and connectors (Certified). Includes integration for Bugzilla, JIRA, CVS, SVN, Git, Bamboo, Crucible, Fisheye, Wikitext. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
 	</category-def>
 
-	<!--
-	<feature url="features/com.atlassian.connector.commons_0.0.0.jar" id="com.atlassian.connector.commons" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse_0.0.0.jar" id="com.atlassian.connector.eclipse" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.bamboo_0.0.0.jar" id="com.atlassian.connector.eclipse.bamboo" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.commons_0.0.0.jar" id="com.atlassian.connector.eclipse.commons" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.crucible_0.0.0.jar" id="com.atlassian.connector.eclipse.crucible" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.cvs_0.0.0.jar" id="com.atlassian.connector.eclipse.cvs" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.jira_0.0.0.jar" id="com.atlassian.connector.eclipse.jira" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.monitor_0.0.0.jar" id="com.atlassian.connector.eclipse.monitor" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/com.atlassian.connector.eclipse.subclipse_0.0.0.jar" id="com.atlassian.connector.eclipse.subclipse" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	<feature url="features/org.eclipse.mylyn.jira_feature_0.0.0.jar" id="org.eclipse.mylyn.jira_feature" version="0.0.0">
-		<category name="Mylyn (Certified)" />
-	</feature>
-	-->
 	<feature url="features/org.eclipse.mylyn.bugzilla_feature_0.0.0.jar" id="org.eclipse.mylyn.bugzilla_feature" version="0.0.0">
 		<category name="Mylyn (Certified)" />
 	</feature>