diff --git a/product/features/com.jboss.jbds.bpel.feature/feature.xml b/product/features/com.jboss.jbds.bpel.feature/feature.xml
index 08ad9ce..60b65c2 100644
--- a/product/features/com.jboss.jbds.bpel.feature/feature.xml
+++ b/product/features/com.jboss.jbds.bpel.feature/feature.xml
@@ -1,18 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.bpel.feature"
-      label="BPEL Editor (Certified)"
-      version="1.0.0.qualifier"
-      provider-name="JBoss by RedHat">
+<feature id="com.jboss.jbds.bpel.feature" label="BPEL Editor (Certified)" version="1.0.0.qualifier" provider-name="JBoss by RedHat">
 
-   <description>Contains BPEL Editor features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+	<description>Contains JBoss BPEL Editor 1.1, including examples and cheatsheets (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="license.html">
+	<license url="license.html">
       Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -22,14 +18,64 @@ source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
 
-   <requires>
-      <import feature="org.jboss.tools.bpel.feature" version="1.0.1" match="compatible"/>
-   </requires>
+	<requires>
+		<import plugin="org.eclipse.emf.ecore" version="2.4.0" match="compatible" />
+		<import plugin="org.eclipse.emf.ecore.xmi" version="2.4.0" match="compatible" />
+		<import plugin="org.eclipse.wst.wsdl" version="1.1.200" match="compatible" />
+		<import plugin="org.eclipse.xsd" version="2.4.0" match="compatible" />
+		<import plugin="org.eclipse.core.runtime" version="3.4.0" match="compatible" />
+		<import plugin="javax.wsdl" version="1.5.0" match="equivalent" />
+		<import plugin="org.eclipse.jface.text" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.core.resources" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.editors" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.ide" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.forms" version="3.3.100" match="compatible" />
+		<import plugin="org.eclipse.core.databinding" version="1.1.0" match="compatible" />
+		<import plugin="org.eclipse.jface.databinding" version="1.2.0" match="compatible" />
+		<import plugin="org.eclipse.emf.edit.ui" version="2.4.0" match="compatible" />
+		<import plugin="org.eclipse.jdt.core" version="3.5.0" match="compatible" />
+		<import plugin="org.eclipse.wst.common.modulecore" version="1.1.300" match="compatible" />
+		<import plugin="org.eclipse.emf.ecore.change" version="2.4.0" match="compatible" />
+		<import plugin="org.apache.xerces" version="2.9.0" match="compatible" />
+		<import plugin="org.eclipse.ui.views.properties.tabbed" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.workbench.texteditor" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.wst.xml.core" version="1.1.300" match="compatible" />
+		<import plugin="org.eclipse.wst.sse.ui" version="1.1.0" match="compatible" />
+		<import plugin="org.eclipse.wst.sse.core" version="1.1.300" match="compatible" />
+		<import plugin="org.eclipse.wst.xsd.ui" version="1.2.101" match="compatible" />
+		<import plugin="org.eclipse.wst.wsdl.ui" version="1.2.100" match="compatible" />
+		<import plugin="org.eclipse.wst.xml.ui" version="1.0.400" match="compatible" />
+		<import plugin="org.eclipse.wst.validation" version="1.2.0" match="compatible" />
+		<import plugin="org.eclipse.wst.wsdl.validation" version="1.1.301" match="compatible" />
+		<import plugin="org.eclipse.ui.cheatsheets" />
+		<import plugin="org.eclipse.wst.server.core" />
+		<import plugin="org.eclipse.wst.web.ui" />
+		<import plugin="org.eclipse.wst.common.project.facet.ui" />
+		<import plugin="org.eclipse.wst.common.frameworks" />
+		<import plugin="org.eclipse.wst.common.project.facet.core" />
+		<import plugin="org.eclipse.wst.common.frameworks.ui" />
+		<import plugin="org.eclipse.jst.server.generic.core" />
+		<import plugin="org.eclipse.jem.util" />
+		<import plugin="org.eclipse.debug.ui" />
+		<import plugin="org.eclipse.jst.common.frameworks" />
+		<import plugin="org.jboss.ide.eclipse.as.wtp.core" />
+		<import plugin="org.eclipse.wst.web" />
+		<import plugin="org.eclipse.ui.navigator" />
+		<import plugin="org.eclipse.ui" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.gef" version="3.4.0" match="compatible" />
+	</requires>
 
-   <plugin
-         id="com.jboss.jbds.bpel.examples"
-         download-size="0"
-         install-size="0"
-         version="0.0.0"/>
+	<plugin id="org.eclipse.bpel.apache.ode.deploy.model" version="0.0.0" unpack="false" />
+	<plugin id="org.eclipse.bpel.apache.ode.deploy.ui" version="0.0.0" unpack="false" />
+	<plugin id="org.eclipse.bpel.common.model" version="0.0.0" unpack="false" />
+	<plugin id="org.eclipse.bpel.common.ui" version="0.0.0" unpack="false" />
+	<plugin id="org.eclipse.bpel.model" version="0.0.0" unpack="false" />
+	<plugin id="org.eclipse.bpel.ui" version="0.0.0" />
+	<plugin id="org.eclipse.bpel.validator" version="0.0.0" />
+	<plugin id="org.eclipse.bpel.wsil.model" version="0.0.0" />
+	<plugin id="org.eclipse.bpel.xpath10" version="0.0.0" unpack="false" />
+	<plugin id="org.jboss.tools.bpel.cheatsheet" version="0.0.0" unpack="false" />
+	<plugin id="org.jboss.tools.bpel.runtimes" version="0.0.0" unpack="false" />
+	<plugin id="com.jboss.jbds.bpel.examples" version="0.0.0" />
 
 </feature>
diff --git a/product/features/com.jboss.jbds.egit.feature/feature.xml b/product/features/com.jboss.jbds.egit.feature/feature.xml
index d8859e4..38db324 100644
--- a/product/features/com.jboss.jbds.egit.feature/feature.xml
+++ b/product/features/com.jboss.jbds.egit.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.egit.feature"
-      label="eGit (Certified)"
-      version="1.0.0.qualifier"
-      provider-name="JBoss by Red Hat">
-
-   <description>
-      Contains eGit features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+<feature id="com.jboss.jbds.egit.feature" label="eGit (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
+
+	<description>
+      Contains eGit and jGit 0.11.3, including Mylyn support (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="license.html">
+	<license url="license.html">
       Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -22,11 +18,41 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
-   <requires>
-      <import feature="org.eclipse.egit" version="0.11.3" match="compatible"/>
-      <import feature="org.eclipse.jgit" version="0.11.3" match="compatible"/>
-      <import feature="org.eclipse.egit.mylyn" version="0.11.3" match="compatible"/>
-   </requires>
+
+	<requires>
+		<import plugin="org.eclipse.core.runtime" version="3.4" match="compatible" />
+		<import plugin="org.eclipse.core.resources" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.core.filesystem" version="1.1.0" match="compatible" />
+		<import plugin="org.eclipse.jface" />
+		<import plugin="org.eclipse.jface.text" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.ide" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.workbench.texteditor" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.compare" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.core.net" version="1.1.0" match="compatible" />
+		<import plugin="org.eclipse.team.core" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.team.ui" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui" version="3.4.0" match="compatible" />
+		<import plugin="org.eclipse.ui.navigator.resources" />
+		<import plugin="org.eclipse.ui.workbench" />
+
+		<import plugin="org.eclipse.jsch.ui" version="1.1.100" match="compatible" />
+		<import plugin="org.eclipse.jsch.core" version="1.1.100" match="compatible" />
+		<import plugin="com.jcraft.jsch" version="0.1.37" match="compatible" />
+
+		<import plugin="org.eclipse.mylyn.monitor.core" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.tasks.core" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.tasks.ui" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.team.ui" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.resources.ui" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.context.core" version="3.0.0" match="compatible" />
+
+	</requires>
+
+	<plugin id="org.eclipse.egit.core" version="0.11.3" unpack="false" />
+	<plugin id="org.eclipse.egit.ui" version="0.11.3" unpack="false" />
+	<plugin id="org.eclipse.egit" version="0.11.3" unpack="false" />
+	<plugin id="org.eclipse.egit.doc" version="0.11.3" unpack="false" />
+	<plugin id="org.eclipse.egit.mylyn.ui" version="0.11.3" unpack="false" />
+	<plugin id="org.eclipse.jgit" version="0.11.3" unpack="false" />
 
 </feature>
diff --git a/product/features/com.jboss.jbds.findbugs.feature/feature.xml b/product/features/com.jboss.jbds.findbugs.feature/feature.xml
index 1c8d9fd..26ec775 100644
--- a/product/features/com.jboss.jbds.findbugs.feature/feature.xml
+++ b/product/features/com.jboss.jbds.findbugs.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature id="com.jboss.jbds.findbugs.feature" label="FindBugs (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
 
 	<description>
-      Contains FindBugs features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+      Contains FindBugs 1.3.9 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
 	<copyright>
@@ -44,6 +44,6 @@ See also http://findbugs.sourceforge.net/manual/license.html
 	<!-- because Tycho can't handle having a feature and plugin w/ the same ID/version, 
 	we have to rebuild the plugin and include it in the JBDS FindBugs feature 
 	directly (instead of including the upstream feature in the JBDS FindBugs feature) -->
-	<plugin id="edu.umd.cs.findbugs.plugin.eclipse" download-size="0" install-size="0" version="1.3.9.20090821" />
+	<plugin id="edu.umd.cs.findbugs.plugin.eclipse" version="1.3.9" />
 
 </feature>
diff --git a/product/features/com.jboss.jbds.m2e.feature/feature.xml b/product/features/com.jboss.jbds.m2e.feature/feature.xml
index 7b6fc80..491d4f9 100644
--- a/product/features/com.jboss.jbds.m2e.feature/feature.xml
+++ b/product/features/com.jboss.jbds.m2e.feature/feature.xml
@@ -1,17 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
- id="com.jboss.jbds.m2e.feature"
- label="Maven Integration (Certified)"
- version="1.0.0.qualifier"
- provider-name="JBoss by Red Hat">
+<feature id="com.jboss.jbds.m2e.feature" label="Maven Integration (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
 
-   <description>Contains m2e features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+	<description>Contains m2e 1.0 and m2e-wtp 0.13 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>%copyright
+	<copyright>%copyright
    </copyright>
 
-   <license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
+	<license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -19,30 +15,59 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
-   <requires>
-	<import feature="org.eclipse.m2e.feature" version="1.0.0" match="greaterOrEqual"/>
-	<import feature="org.maven.ide.eclipse.wtp.feature" version="0.13.0" match="greaterOrEqual"/>
-   </requires>
+
+	<requires>
+		<import plugin="org.eclipse.emf.ecore" />
+		<import plugin="org.eclipse.emf.ecore.xmi" />
+		<import plugin="org.eclipse.emf.edit" />
+		<import plugin="org.eclipse.emf.ecore.edit" />
+		<import plugin="org.eclipse.wst.common.emf" />
+		<import plugin="org.eclipse.wst.sse.core" />
+		<import plugin="org.eclipse.wst.xml.core" />
+		<import plugin="org.eclipse.jem.util" />
+
+		<import plugin="org.eclipse.wst.common.frameworks" />
+		<import plugin="org.eclipse.wst.common.modulecore" />
+		<import plugin="org.eclipse.wst.common.project.facet.core" />
+		<import plugin="org.eclipse.jst.common.frameworks" />
+		<import plugin="org.eclipse.jst.common.project.facet.core" />
+		<import plugin="org.eclipse.jst.j2ee.web" />
+		<import plugin="org.eclipse.jst.j2ee" />
+		<import plugin="org.eclipse.jst.j2ee.core" />
+		<import feature="org.eclipse.platform" version="3.6.0" match="greaterOrEqual" />
+		<import feature="org.eclipse.rcp" version="3.6.0" match="greaterOrEqual" />
+		<import feature="org.eclipse.jdt" version="3.6.0" match="greaterOrEqual" />
+		<import feature="org.eclipse.wst.web_ui.feature" version="3.2.0" match="greaterOrEqual" />
+	</requires>
+
+	<plugin id="org.eclipse.m2e.archetype.common" version="1.0.0" />
+	<plugin id="org.eclipse.m2e.maven.indexer" version="1.0.0" />
+	<plugin id="org.eclipse.m2e.model.edit" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.core" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.launching" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.jdt" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.editor" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.editor.xml" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.maven.runtime" version="1.0.0" />
+	<plugin id="org.eclipse.m2e.refactoring" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.lifecyclemapping.defaults" version="1.0.0" />
+	<plugin id="org.eclipse.m2e.discovery" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.core.ui" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.scm" version="1.0.0" unpack="false" />
+	<plugin id="org.eclipse.m2e.usagedata" version="1.0.0" unpack="false" />
+	<plugin id="org.maven.ide.eclipse.wtp" version="0.13.1" unpack="false" />
+	<plugin id="org.maven.ide.eclipse.wtp.overlay" version="0.13.1" unpack="false" />
 
 	<!-- dependent 3rd party plugins needed to install m2e -->
-	<plugin id="ch.qos.logback.classic" version="0.9.27" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="ch.qos.logback.core" version="0.9.27" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="ch.qos.logback.slf4j" version="0.9.27" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.slf4j.api" version="1.6.1" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="com.ning.async-http-client" version="1.6.3" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.jboss.netty" version="3.2.4" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.eclipse.equinox.p2.discovery.compatibility" version="1.0.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.eclipse.equinox.p2.discovery" version="1.0.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.eclipse.equinox.p2.ui.discovery" version="1.0.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.hamcrest.core" version="1.1.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-
-	<!-- Remove for JBDS-1780 
-	<plugin id="org.hamcrest" version="1.1.0" match="greaterOrEqual" download-size="0" install-size="0"/> 
-	<plugin id="org.hamcrest.text" version="1.1.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.hamcrest.library" version="1.1.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.hamcrest.integration" version="1.1.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.eclipse.net4j.jms.api" version="3.0.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	<plugin id="org.eclipse.equinox.p2.repository" version="2.0.0" match="greaterOrEqual" download-size="0" install-size="0"/>
-	-->
+	<plugin id="ch.qos.logback.classic" version="0.9.27" match="greaterOrEqual" />
+	<plugin id="ch.qos.logback.core" version="0.9.27" match="greaterOrEqual" />
+	<plugin id="ch.qos.logback.slf4j" version="0.9.27" match="greaterOrEqual" />
+	<plugin id="org.slf4j.api" version="1.6.1" match="greaterOrEqual" />
+	<plugin id="com.ning.async-http-client" version="1.6.3" match="greaterOrEqual" />
+	<plugin id="org.jboss.netty" version="3.2.4" match="greaterOrEqual" />
+	<plugin id="org.eclipse.equinox.p2.discovery.compatibility" version="1.0.0" match="greaterOrEqual" />
+	<plugin id="org.eclipse.equinox.p2.discovery" version="1.0.0" match="greaterOrEqual" />
+	<plugin id="org.eclipse.equinox.p2.ui.discovery" version="1.0.0" match="greaterOrEqual" />
+	<plugin id="org.hamcrest.core" version="1.1.0" match="greaterOrEqual" />
+
 </feature>
diff --git a/product/features/com.jboss.jbds.subclipse.feature/feature.xml b/product/features/com.jboss.jbds.subclipse.feature/feature.xml
index 69ad956..d081c48 100644
--- a/product/features/com.jboss.jbds.subclipse.feature/feature.xml
+++ b/product/features/com.jboss.jbds.subclipse.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.subclipse.feature"
-      label="Subclipse (Certified)"
-      version="1.0.0.qualifier"
-      provider-name="JBoss by RedHat">
-
-   <description>
-      Contains Subclipse features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+<feature id="com.jboss.jbds.subclipse.feature" label="Subclipse (Certified)" version="1.0.0.qualifier" provider-name="JBoss by RedHat">
+
+	<description>
+      Contains Subclipse 1.6 and SVNKit 1.3, including Mylyn support (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="license.html">
+	<license url="license.html">
 Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -137,15 +133,47 @@ IT IS YOUR OBLIGATION TO READ AND ACCEPT ALL SUCH TERMS
 AND CONDITIONS PRIOR TO USE OF THIS CONTENT.
    </license>
 
-   <requires>
-		<import feature="com.collabnet.subversion.merge.feature" version="2.2.3" match="compatible"/>
-		<import feature="com.sun.jna" version="3.2.7" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.feature" version="1.6.12" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.javahl.feature" version="1.6.15" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.svnkit.feature" version="1.6.15" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse.graph.feature" version="1.0.9" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse.mylyn" version="3.0.0" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse" version="1.6.17" match="compatible"/>
-		<import feature="org.tmatesoft.svnkit" version="1.3.5.7406" match="compatible"/>
-   </requires>
+	<requires>
+		<import plugin="org.eclipse.ui" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.core.runtime" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.tigris.subversion.subclipse.ui" version="1.6.6" match="greaterOrEqual" />
+		<import plugin="org.tigris.subversion.subclipse.core" version="1.6.6" match="greaterOrEqual" />
+		<import plugin="org.eclipse.core.resources" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.team.core" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.team.ui" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.ui.ide" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.ui.views" version="3.2.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.compare" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.ui.editors" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.jface.text" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.ui.forms" version="3.3.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.core.filesystem" version="1.1.0" match="greaterOrEqual" />
+
+		<import plugin="org.eclipse.osgi" />
+		<import plugin="org.eclipse.ui.workbench.texteditor" />
+		<import plugin="org.eclipse.ui.console" />
+		<import plugin="org.eclipse.help" />
+
+		<import plugin="org.eclipse.draw2d" version="3.2.0" match="greaterOrEqual" />
+		<import plugin="org.eclipse.gef" version="3.2.0" match="greaterOrEqual" />
+
+		<import plugin="org.eclipse.mylyn.tasks.core" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.tasks.ui" version="3.0.0" match="compatible" />
+		<import plugin="org.eclipse.mylyn.team.ui" version="3.0.0" match="compatible" />
+	</requires>
+
+	<plugin id="com.collabnet.subversion.merge" version="2.2.4" unpack="false" />
+	<plugin id="com.sun.jna"  unpack="false" version="3.2.7" />
+	<plugin id="org.tigris.subversion.clientadapter" version="1.6.12" unpack="false" />
+	<plugin id="org.tigris.subversion.clientadapter.javahl" version="1.6.17" unpack="false" />
+	<plugin id="org.tigris.subversion.clientadapter.javahl.win32" os="win32" arch="x86" version="1.6.17" fragment="true" />
+	<plugin id="org.tigris.subversion.clientadapter.svnkit" version="1.6.15" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.core" version="1.6.18" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.ui" version="1.6.18" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.doc" version="1.3.0" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.tools.usage" version="1.0.1" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.graph" version="1.0.9" unpack="false" />
+	<plugin id="org.tigris.subversion.subclipse.mylyn" version="3.0.0" unpack="false" />
+	<plugin id="org.tmatesoft.svnkit"  unpack="false" version="1.3.5" />
+
 </feature>
diff --git a/product/features/com.jboss.jbds.testng.feature/feature.xml b/product/features/com.jboss.jbds.testng.feature/feature.xml
index 14527e8..5c24383 100644
--- a/product/features/com.jboss.jbds.testng.feature/feature.xml
+++ b/product/features/com.jboss.jbds.testng.feature/feature.xml
@@ -1,19 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature
-      id="com.jboss.jbds.testng.feature"
-      label="TestNG (Certified)"
-      version="1.0.2.qualifier"
-      provider-name="JBoss by Red Hat">
+<feature id="com.jboss.jbds.testng.feature" label="TestNG (Certified)" version="1.0.2.qualifier" provider-name="JBoss by Red Hat">
 
-   <description>
-      Contains TestNG features (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+	<description>
+      Contains TestNG 5.14.6 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
    </description>
 
-   <copyright>
+	<copyright>
       %copyright
    </copyright>
 
-   <license url="http://www.apache.org/licenses/LICENSE-2.0.html">
+	<license url="http://www.apache.org/licenses/LICENSE-2.0.html">
 Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -179,8 +175,6 @@ by reason of your accepting any such warranty or additional liability.
 END OF TERMS AND CONDITIONS
    </license>
 
-   <requires>
-      <import feature="org.testng.eclipse" version="5.14.6" match="compatible"/>
-   </requires>
+	<plugin id="org.testng.eclipse" download-size="0" install-size="0" version="5.14.6" />
 
 </feature>